Subject: Re: comments to draft-ietf-atommib-sonetaps-mib-04

From: Jim Kuhfeld <[email-masked]>
Date: Wed, 16 May 2001 19:59:30 -0700

> Hi,
> 
> I have 2 comments to the linear APS draft MIB:
> 
> 1. I suggest to replace all instances of "TimeTicks" with the more modern
> textual convention of "TimeStamp".
> TimeStamp is defined in RFC 1903 SNMPv2-TC.
> 
> 2. GR-253-CORE section 6.2.2.4.3 requires the measurement of protection
> switching duration (PSD). The definition of PSD from section 6.2.2.4.1 "For
> a working line, the PSD parameter is a count of the seconds that service was
> being carried on the protection line. For the protection line, it is a count
> of the seconds that the line was being used to carry service. The PSD
> parameter is only applicable if revertive line level protection switching is
> used."
> I suggest to add an apsChanStatusSwitchoversDuration counter to the
> apsChanStatusTable.
> 
> 
> Regards,
> 
> Muly Ilan
> 
> 
> ___________________________________________________
> 
> Muly Ilan
> Senior System Engineer
> 
> Corrigent Systems Inc.            E-mail: [email-masked]
> 126 Yig'al Alon St.                   Tel.:   +972-3-6945469
> Tel-Aviv 67443, Israel               Fax:   +972-3-6953222
> ___________________________________________________
> 
> 
> 
> 

If the working group agrees I can make the TimeStamp change and add
the following object:

apsChanStatusSwitchoverSeconds OBJECT-TYPE
    SYNTAX     Counter32 
    MAX-ACCESS read-only
    STATUS     current
    DESCRIPTION
        "The cumulative Protection Switching Duration (PSD) time in 
         seconds. For a working channel, this is the cumulative number 
         of seconds that service was carried on the protection line. 
         For the protection line, this is the cumulative number of 
         seconds that the protection line has been used to carry any
         working channel traffic. This information is only valid if 
         revertive switching is enabled. The value 0 will be returned 
         otherwise.
    ::= { apsChanStatusEntry 6 }